package entitybean;

import java.rmi.RemoteException;
import javax.ejb.*;

/**
 * Title:        Entity Bean
 * Description:  Beispiel einer einfachen Entity Bean
 * Copyright:    Copyright (c) J.M.Joller
 * Company:      Joller-Voss
 * @author J.M.Joller
 * @version 1.0
 */

public interface MusicCDHome extends EJBHome {
    public MusicCD create(String upc)
                   throws CreateException, RemoteException;
    public MusicCD findByPrimaryKey(String pk)
                   throws FinderException, RemoteException;
}
